Bug 831429 - nut multilib conflict
nut multilib conflict
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: nut (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michal Hlavinka
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-12 20:02 EDT by Philippe Troin
Modified: 2014-06-17 19:26 EDT (History)
2 users (show)

See Also:
Fixed In Version: nut-2.7.1-3.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-13 15:22:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Philippe Troin 2012-06-12 20:02:50 EDT
# yum install nut
Loaded plugins: changelog, downloadonly, priorities, remove-with-leaves, show-
              : leaves, tsflags
16 packages excluded due to repository priority protections
Package nut-2.6.3-2.fc17.x86_64 already installed and latest version
Resolving Dependencies
--> Running transaction check
---> Package nut.i686 0:2.6.3-2.fc17 will be installed
--> Processing Dependency: libupsclient.so.1 for package: nut-2.6.3-2.fc17.i686
--> Running transaction check
---> Package nut-client.i686 0:2.6.3-2.fc17 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package             Arch          Version                Repository       Size
================================================================================
Installing:
 nut                 i686          2.6.3-2.fc17           fedora          1.3 M
Installing for dependencies:
 nut-client          i686          2.6.3-2.fc17           fedora          132 k

Transaction Summary
================================================================================
Install  1 Package (+1 Dependent package)

Total size: 1.5 M
Installed size: 5.3 M
Is this ok [y/N]: y
Downloading Packages:
Running Transaction Check
Running Transaction Test


Transaction Check Error:
  file /usr/share/doc/nut-2.6.3/docs/Makefile from install of nut-2.6.3-2.fc17.i686 conflicts with file from package nut-2.6.3-2.fc17.x86_64
  file /usr/share/doc/nut-2.6.3/docs/man/Makefile from install of nut-2.6.3-2.fc17.i686 conflicts with file from package nut-2.6.3-2.fc17.x86_64
  file /usr/share/doc/nut-2.6.3/docs/website/Makefile from install of nut-2.6.3-2.fc17.i686 conflicts with file from package nut-2.6.3-2.fc17.x86_64

Error Summary
-------------

[2]    12747 exit 1     noglob yum install nut
Comment 1 Fedora Update System 2012-06-19 11:43:39 EDT
nut-2.6.4-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/nut-2.6.4-1.fc17
Comment 2 Fedora Update System 2012-06-20 15:27:33 EDT
Package nut-2.6.4-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing nut-2.6.4-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-9724/nut-2.6.4-1.fc17
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2012-06-30 18:11:46 EDT
nut-2.6.4-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Philippe Troin 2013-10-14 12:51:18 EDT
The bug has been reintroduced in 0:2.6.5-12.fc19:

Transaction check error:
  file /usr/lib/python2.7/site-packages/PyNUT.pyc from install of nut-client-2.6.5-12.fc19.i686 conflicts with file from package nut-client-2.6.5-12.fc19.x86_64
  file /usr/lib/python2.7/site-packages/PyNUT.pyo from install of nut-client-2.6.5-12.fc19.i686 conflicts with file from package nut-client-2.6.5-12.fc19.x86_64
Comment 5 Fedora Update System 2014-04-17 03:58:38 EDT
nut-2.7.1-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nut-2.7.1-3.fc20
Comment 6 Fedora Update System 2014-04-17 03:59:07 EDT
nut-2.6.5-13.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nut-2.6.5-13.fc19
Comment 7 Fedora Update System 2014-04-18 11:39:57 EDT
Package nut-2.6.5-13.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing nut-2.6.5-13.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-5320/nut-2.6.5-13.fc19
then log in and leave karma (feedback).
Comment 8 lnie 2014-05-09 01:18:32 EDT
nut-2.7.1-3.fc20 works fine
Comment 9 Fedora Update System 2014-05-13 15:22:16 EDT
nut-2.6.5-13.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2014-06-17 19:26:40 EDT
nut-2.7.1-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.